> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bloklake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a set

> GET /v1/sets/{id}: a set's metadata.

```http theme={null}
GET https://api.bloklake.com/v1/chains/{chain}/v1/sets/{id}
Authorization: Bearer <key>
```

## Example

```bash theme={null}
curl https://api.bloklake.com/v1/chains/eth/v1/sets/0x2cab7d92e0aa08ea29ffe92cf95896a794a369e5e180e174299c1c958b4a1178 \
  -H "Authorization: Bearer $BLOKLAKE_API_KEY"
```

```json theme={null}
{
  "set_id": "0x2cab7d92e0aa08ea29ffe92cf95896a794a369e5e180e174299c1c958b4a1178",
  "kind": "address",
  "size": 3,
  "created_at": 1792332212,
  "last_used_at": 1792332217
}
```

## Response

**set\_id** `string`

The set's id.

**kind** `string`

`address` or `topic`.

**size** `integer`

Number of distinct values.

**created\_at** `integer`

When it was created, Unix seconds.

**last\_used\_at** `integer`

When a query last used it, Unix seconds. A set unused for 30 days is deleted.

`404 unknown_set` if it doesn't exist for your project on this chain.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.